Skip to main content
DELETE
/
tools
/
{toolId}
Delete a tool
curl --request DELETE \
  --url https://api.superglue.ai/v1/tools/{toolId} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.superglue.ai/v1/tools/{toolId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.superglue.ai/v1/tools/{toolId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true
}
{
"error": {
"message": "Invalid input parameters"
}
}

Authorizations

Authorization
string
header
required

Static API key authentication using Bearer token scheme. Include your API key in the Authorization header: Authorization: Bearer YOUR_API_KEY

Alternatively, you can use the token query parameter to authenticate.

API keys can be generated in your superglue dashboard.

Path Parameters

toolId
string
required

Response

Tool deleted successfully

success
boolean
Example:

true